The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EasyApache no longer working!

Discussion in 'EasyApache' started by jdearing, Dec 22, 2009.

  1. jdearing

    jdearing Active Member

    Joined:
    Nov 6, 2003
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    I hosed up some things on my box by running up2date -uf. My intention was to only update the kernel but it updated (actually downgraded) a lot of other things. I get these errors doing easyapache. Any help?


    root@jd [/usr/lib/perl5]# /scripts/easyapache
    Can't locate Class/Std.pm in @INC (@INC contains: /scripts /usr/lib/perl5/5.8.5/i386-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl .) at /scripts/Cpanel/CPAN/Getopt/Param.pm line 10.
    BEGIN failed--compilation aborted at /scripts/Cpanel/CPAN/Getopt/Param.pm line 10.
    Compilation failed in require at /scripts/cpanel_easy_sanity_check line 16.
    BEGIN failed--compilation aborted at /scripts/cpanel_easy_sanity_check line 16.
    Can't locate YAML/Syck.pm in @INC (@INC contains: /usr/local/cpanel /var/cpanel/perl/easy /scripts /usr/lib/perl5/5.8.5/i386-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl .) at /usr/local/cpanel/Cpanel/DataStore.pm line 9.
    BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/DataStore.pm line 9.
    Compilation failed in require at /var/cpanel/perl/easy/Cpanel/Easy/Utils.pm line 14.
    BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy/Utils.pm line 14.
    Compilation failed in require at (eval 5) line 3.
    ...propagated at /usr/lib/perl5/5.8.5/base.pm line 85.
    at /var/cpanel/perl/easy/Cpanel/Easy.pm line 15
    BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy.pm line 15.
    Compilation failed in require at (eval 1) line 3.
    ...propagated at /usr/lib/perl5/5.8.5/base.pm line 85.
    BEGIN failed--compilation aborted at /var/cpanel/perl/easy/Cpanel/Easy/Apache.pm line 8.
    Compilation failed in require at /scripts/easyapache line 23.
     
  2. jdearing

    jdearing Active Member

    Joined:
    Nov 6, 2003
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    fixed by updating perl. I guess up2date downgraded perl as well.

     
Loading...

Share This Page